{% extends "base.html" %}
{% load static %}

{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">

{% endblock css %}

{% block title %}
<h1><i class="zmdi zmdi-calendar"></i> Perfil Practicante</h1>

{% endblock title %}
{% block content %}

<div class="row">
	<div class="col-xs-12">
		<div class="card card-transparent">
			<div class="card-body wrapper">
				<div class="row">
					<div class="col-md-3">
						<div class="card type--profile">
							<header class="card-heading">
								<div id="profile-container">
									<img id="profileImage" src="{{practicante.alumno.img.url}}" title="Haz click para cambiar la imagen" class="profileImage img-circle">
								</div>
							</header>
							<div class="card-body">
								<h3 class="name">{{ practicante.alumno.name }}</h3>
								<span class="title">{{ practicante.empresa.nombre }}</span>
							</div>
							<!-- <footer class="card-footer border-top">
								<div class="row row p-t-10 p-b-10">
									{% if request.session.type == "AL" %}
									<div class="col-md-6"><span class="count">250</span><span>PPA</span></div>
									<div class="col-md-6"><span class="count">627</span><span>PGA</span></div>
									{% elif request.session.type == "DC" or request.session.type == "SA" %}
									<div class="col-xs-4 col-xs-offset-4"><span class="count">{{projects}}</span><span>Proyectos Activos</span></div>
									{% elif request.session.type == "DO" %}
									<div class="col-xs-4 col-xs-offset-4"><span class="count">{{projects}}</span><span>Mis Proyectos Activos</span></div>
									{% endif %}
								</div>
							</footer> -->
						</div>
					</div>
					<div class="col-md-8">
						<div class="card">
							<div class="active" class="tabpanel m-b-30">
								<ul class="nav nav-tabs nav-justified">
									<li role="presentation"><h2>Tareas</h2></li>
								</ul>
							</div>
							<div class="card-body">
								<div class="tab-content">
									<div class="tab-pane fadeIn active" id="profile-about">
										<div class="row">
                                                <div class="col-md-12">
                                                    {% for x in semana %}
                                                    <!-- <div class="ibox-content"> -->
                                                        <a href="#" class="btn-link">
                                                            <h2>
                                                                Semana: {{ x.number }}
                                                            </h2>
                                                        </a>
                                                        <div class="small m-b-xs">
                                                            <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                                                                <thead>
                                                                <tr>
                                                                    <th >Tarea</th>
                                                                    <th >Opción</th>                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                {% for y in x.task_set.all %}
                                                                    <tr>
                                                                        <td class="col-md-3">{{ y.name }}</td>
                                                                        <td class="col-md-2 project-action" style="text-align:left">
                                                                            <a  href="{% url 'comentar_tarea' 1 1 1 %}" class="btn btn-success btn-sm"><i class="fa fa-comment"></i> Comentar </a>
                                                                        </td>
                                                                    </tr>
                                                                {% endfor %}
                                                                </tbody>
                                                                <tfoot>
                                                                <tr>
                                                                    <td colspan="5">
                                                                        <ul class="pagination pull-right"></ul>
                                                                    </td>
                                                                </tr>
                                                                </tfoot>
                                                            </table>
                                                        </div>
                                                    <!-- </div> -->
                                                {% endfor %}
                                            </div>
										</div>
									</div>

								</div>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="container-fluid row">

</div>
{% endblock content %}
{% block javascript %}
	<script>
		$(document).ready(function() {
			var lineData = {
				labels: ["201610", "201620", "201710", "201720", "201810"],
				datasets: [
					{
						label: "Proyectos Aprobados",
						backgroundColor: 'rgba(26,179,148,0.5)',
						borderColor: "rgba(26,179,148,0.7)",
						pointBackgroundColor: "rgba(26,179,148,1)",
						pointBorderColor: "#fff",
						data: [28, 48, 40, 19, 86]
					},{
						label: "Proyectos Reprobados",
						backgroundColor: 'rgba(220, 220, 220, 0.5)',
						pointBorderColor: "#fff",
						data: [65, 59, 80, 81, 56]
					}
				]
			};
			var lineOptions = {
				responsive: true
			};

		{% if request.session.type == "DO"%}

			var ctx = document.getElementById("lineChart").getContext("2d");
			new Chart(ctx, {type: 'line', data: lineData, options:lineOptions});

		 {% endif %}
			$("#profile").addClass("active");
			$("#cambiar_foto").on("click",function(){
				$(".profileImage").trigger("click");
			});
			$(".profileImage").on("click", function(e) {
				$("#imageUpload").click();
				e.preventDefault();
				var foto = $('#profile_photo').val();
			});




			function fasterPreview(uploader) {
				var foto = uploader.files[0];
				var formData = new FormData();
				formData.append('foto', foto);
				formData.append('csrfmiddlewaretoken', '{{ csrf_token }}');
				$.ajax({
					type: "POST",
					url: "{% url 'upload_photo' %}",
					data: formData,
					contentType: false,
					processData: false,
					success: function(response) {
						console.log("funciona");
						console.log(response);
						location.reload();
					}
				});
				if (uploader.files && uploader.files[0]) {
					$('#profileImage').attr('src',
						window.URL.createObjectURL(uploader.files[0]));
				}
			}
			$("#imageUpload").change(function() {
				fasterPreview(this);
			});
		});
	</script>
{% endblock javascript %}
